Bug 456951 - Ruby bindings are not currently being built.
Ruby bindings are not currently being built.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xapian-bindings (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 16:46 EDT by Scott Seago
Modified: 2008-10-12 11:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-12 11:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to enable ruby bindings in specfile (1.92 KB, patch)
2008-07-28 16:46 EDT, Scott Seago
no flags Details | Diff

  None (edit)
Description Scott Seago 2008-07-28 16:46:41 EDT
Description of problem:
Ruby bindings are not currently being built.
(missing xapian-bindings-ruby)

The oVirt project is looking into using xapian for it search engine
functionality, and as a rails applicaiton, we need ruby bindings for the
acts_as_xapian plugin to work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. build xapian-bindings binary RPMs
2. look for xapian-bindings-ruby
3. it's not there...
  
Actual results:
ruby package isn't currently enabled in the spec file

Expected results:
We'd like to have the ruby bindings included.

I've built the ruby bindings rpm locally on my F9 system, and it seems to work
properly with some very basic testing, but I haven't done any thorough review of
the resulting RPM. I've attached my modified spec file

Additional info:
Comment 1 Scott Seago 2008-07-28 16:46:41 EDT
Created attachment 312819 [details]
patch to enable ruby bindings in specfile
Comment 2 Adel Gadllah 2008-07-28 17:44:44 EDT
Thanks for the report and the patch, there is no reason not to build them.
Applied your patch (just added proper buildrequires).

Packages should hit rawhide, f9-updates-testing and f8-updates-testing soon.
Comment 3 Fedora Update System 2008-07-28 17:53:33 EDT
xapian-bindings-1.0.7-2.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-07-28 17:54:31 EDT
xapian-bindings-1.0.7-2.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-07-30 15:59:12 EDT
xapian-bindings-1.0.7-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xapian-bindings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6756
Comment 6 Fedora Update System 2008-08-07 19:53:28 EDT
xapian-bindings-1.0.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-08-07 19:57:22 EDT
xapian-bindings-1.0.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.